Microscopic Traffic Simulator

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Properties | List of all members
Microscopic_Traffic_Simulator___Model.SimulationControl.ISimulationEventsGenerator Interface Reference

Every class which performs some repeating action should implement this interface More...

Inheritance diagram for Microscopic_Traffic_Simulator___Model.SimulationControl.ISimulationEventsGenerator:

## Public Member Functions
TimeSpan | GetTimeToNextAction (Random random)
| Method for getting time to next action from the implementing class More...
void | PerformAction (Random random)
| Method for action which is performed by the implementing class More...

## Properties
bool | IsPauseScheduled`[get]`
| Check whether the simulation action generator has the pause scheduled. More...
int | Priority`[get]`
| Priority determining the rank of the events which have the same time. More...

## Detailed Description

Every class which performs some repeating action should implement this interface

Definition at line 8 of file ISimulationEventsGenerator.cs.

## Member Function Documentation

TimeSpan Microscopic_Traffic_Simulator___Model.SimulationControl.ISimulationEventsGenerator.GetTimeToNextAction | ( | Random | random | ) |

Method for getting time to next action from the implementing class

Parameters

  random | Random instance for cases that the resulting time would be result of random variables

Returns

Implemented in Microscopic_Traffic_Simulator___Model.CellularTopologyObjects.CellularTopology, Microscopic_Traffic_Simulator___Model.TrafficObjects.Sensor, and Microscopic_Traffic_Simulator___Model.TrafficObjects.Generator.

void Microscopic_Traffic_Simulator___Model.SimulationControl.ISimulationEventsGenerator.PerformAction | ( | Random | random | ) |

Method for action which is performed by the implementing class

Parameters

  random | Random instance for case that action depends on random variables

Implemented in Microscopic_Traffic_Simulator___Model.CellularTopologyObjects.CellularTopology, Microscopic_Traffic_Simulator___Model.TrafficObjects.Sensor, and Microscopic_Traffic_Simulator___Model.TrafficObjects.Generator.

## Property Documentation

bool Microscopic_Traffic_Simulator___Model.SimulationControl.ISimulationEventsGenerator.IsPauseScheduled
| get

Check whether the simulation action generator has the pause scheduled.

Definition at line 28 of file ISimulationEventsGenerator.cs.

int Microscopic_Traffic_Simulator___Model.SimulationControl.ISimulationEventsGenerator.Priority
| get

Priority determining the rank of the events which have the same time.

Definition at line 33 of file ISimulationEventsGenerator.cs.

The documentation for this interface was generated from the following file:

- Microscopic Traffic Simulator - Model/SimulationControl/ISimulationEventsGenerator.cs